## org.gnome.OnlineAccounts.PasswordBased org.gnome.OnlineAccounts.PasswordBased |

## Methods

    GetPassword (IN  s id,
                 OUT s password);

## Description

An account object implements this interface if one or more passwords are used for accessing it.

Since 3.6.0

## Method Details

### The GetPassword() method

    GetPassword (IN  s id,
                 OUT s password);

Use this method to obtain the passwords used to access the account.

If the account is for a mail account (see org.gnome.OnlineAccounts.Mail), known values for `id` includes `imap-password` and `smtp-password`.

Note that calls to this method are logged.

`IN s `id``: | An identifier describing what password to get.
`OUT s `password``: | The password.

Since 3.6.0